# Usage local :
#   docker compose --env-file .env.prod -f docker-compose.yml -f docker-compose.local.yml up --build

services:
  web:
    environment:
      ALLOWED_HOSTS: localhost,127.0.0.1,web
      SECURE_SSL_REDIRECT: "false"

  nginx:
    ports:
      - "8888:80"
    volumes:
      - ./nginx/nginx.local.conf:/etc/nginx/conf.d/default.conf:ro
      - static_volume:/app/staticfiles:ro
      - media_volume:/app/media:ro

  certbot:
    profiles:
      - production
